org.apache.myfaces.trinidad.component

## Interface DialogSource

- All Superinterfaces:
    javax.faces.component.ActionSource
  All Known Implementing Classes:
    CoreCommandButton, CoreCommandLink, CoreCommandNavigationItem, UIXCommand

      public interface DialogSource
      extends javax.faces.component.ActionSource

  Extension of ActionSource for components that fire dialogs, and need to be notified when the dialog begins launching and completes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLaunchListener(LaunchListener listener)`
    `void` | `addReturnListener(ReturnListener listener)`
    `javax.el.MethodExpression` | `getLaunchListener()`
    `LaunchListener[]` | `getLaunchListeners()`
    `javax.el.MethodExpression` | `getReturnListener()`
    `ReturnListener[]` | `getReturnListeners()`
    `void` | `removeLaunchListener(LaunchListener listener)`
    `void` | `removeReturnListener(ReturnListener listener)`
    `void` | `setLaunchListener(javax.el.MethodExpression launchListener)`
    `void` | `setReturnListener(javax.el.MethodExpression returnListener)`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

- - ### Method Detail

    - #### addReturnListener

          void addReturnListener(ReturnListener listener)

    - #### removeReturnListener

          void removeReturnListener(ReturnListener listener)

    - #### getReturnListeners

          ReturnListener[] getReturnListeners()

    - #### setReturnListener

          void setReturnListener(javax.el.MethodExpression returnListener)

    - #### getReturnListener

          javax.el.MethodExpression getReturnListener()

    - #### addLaunchListener

          void addLaunchListener(LaunchListener listener)

    - #### removeLaunchListener

          void removeLaunchListener(LaunchListener listener)

    - #### getLaunchListeners

          LaunchListener[] getLaunchListeners()

    - #### setLaunchListener

          void setLaunchListener(javax.el.MethodExpression launchListener)

    - #### getLaunchListener

          javax.el.MethodExpression getLaunchListener()

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.